# Gimp.Unit

    from gi.repository import Gimp

    unit = Gimp.Unit(abbreviation=value, digits=value, factor=value, id=value, name=value, symbol=value)

Provides operations on units, a collection of predefined units and functions to create new units.

## Hierarchy

- GObject.Object
  - Gimp.Unit

## Methods

- Gimp.Unit.get_abbreviation
- Gimp.Unit.get_deletion_flag
- Gimp.Unit.get_digits
- Gimp.Unit.get_factor
- Gimp.Unit.get_id
- Gimp.Unit.get_name
- Gimp.Unit.get_scaled_digits
- Gimp.Unit.get_symbol
- Gimp.Unit.is_built_in
- Gimp.Unit.is_metric
- Gimp.Unit.set_deletion_flag

## Static Functions

- Gimp.Unit.format_string
- Gimp.Unit.get_by_id
- Gimp.Unit.inch
- Gimp.Unit.mm
- Gimp.Unit.percent
- Gimp.Unit.pica
- Gimp.Unit.pixel
- Gimp.Unit.point

## Properties

- abbreviation
- digits
- factor
- id
- name
- symbol